Bug 426301 - FEAT: RHEL 4.7 Intel Tolapai cpucache patch
FEAT: RHEL 4.7 Intel Tolapai cpucache patch
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: John Villalovos
Martin Jenner
: FutureFeature, OtherQA
Depends On: 304131
Blocks: 245608 RHEL4u7_relnotes
  Show dependency treegraph
Reported: 2007-12-19 16:44 EST by Jason Gaston
Modified: 2015-05-08 09:55 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-24 15:23:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Tolapai cpu cache info addition (743 bytes, patch)
2007-12-19 16:44 EST, Jason Gaston
no flags Details | Diff

  None (edit)
Description Jason Gaston 2007-12-19 16:44:42 EST
1. Feature Name: Intel Tolapai cpu cache info support.

2. Description: Attached is a patch to add the correct cpu cache info for the 
Tolapai system on a chip (SOC).  This patch was based on the 2.6.9-67 RHEL4.6 

Architectures: 32-bit x86

Dependencies: None 
External links: N/A
Priority (H,M,L): High
Target Releases: RHEL 4.7
Target Release Date: 
Drivers or hardware dependency: Tolapai
Target Kernel: 2.6.x 

3. Business Justification: Need to add the patch for the cpu cache info to be 
listed correctly

4. Status: 

5. Hardware to Red Hat? Tolapai platform was shipped out on 12-18-2007

6. Partner management contact, Keve Gabbert, keve.a.gabbert@intel.com

7. Partner technical contact, Jason Gaston, jason.d.gaston@intel.com
Comment 1 Jason Gaston 2007-12-19 16:44:42 EST
Created attachment 290069 [details]
Tolapai cpu cache info addition
Comment 2 Ronald Pacheco 2008-01-29 12:58:25 EST
Note: Hardware is in-house.  Goeff has it set up in his cube.
Comment 3 Geoff Gustafson 2008-02-08 17:40:36 EST
Verified the patch on Tolapai with -68.EL kernel, but it requires base Tolapai
patch which I don't own so I'm not posting to rhkernel right now. Need to follow
up with Jeff Garzik who owns it, and get it reassigned, or wait.
Comment 4 Geoff Gustafson 2008-03-05 14:43:46 EST
Actually I tested with -68.10.EL kernel. Rebuilt with latest -68.18.EL and
posted to rhkernel.
Comment 6 Vivek Goyal 2008-03-11 19:51:50 EDT
Committed in 68.20.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 8 Don Domingo 2008-05-14 20:09:37 EDT
added to RHEL4.7 Driver Updates:


Correct cache info of Intel Tolapai chipset is now added. This ensures that the
hardware is listed correctly.

please advise if any further revisions are required. thanks!
Comment 9 Song, Youquan 2008-05-30 10:03:50 EDT
From the soure code, RHEL4.7 beta has include the patch.
Comment 10 Don Domingo 2008-06-02 19:13:48 EDT

the RHEL4.7 release notes deadline is on June 17, 2008 (Tuesday). they will
undergo a final proofread before being dropped to translation, at which point no
further additions or revisions will be entertained.

a mockup of the RHEL4.7 release notes can be viewed here:

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Comment 11 Jason Gaston 2008-06-06 20:00:25 EDT
verified fixed in RHEL4.7 beta
Comment 14 errata-xmlrpc 2008-07-24 15:23:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 15 Chris Ward 2008-07-29 03:23:44 EDT
Partners, I would like to thank you all for your participation in assuring the
quality of this RHEL 4.7 Update Release. My hat's off to you all. Thanks.

Note You need to log in before you can comment on or make changes to this bug.